﻿@model DataAccess.Entities.Company

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Company</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <div class="form-group">
            @Html.LabelFor(model => model.Type, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @*@Html.EditorFor(model => model.Type, new { htmlAttributes = new { @class = "form-control" } })*@
                @if (Model.Type == 0)
                {
                    <select id="Type" name="Type" class="form-control">

                        <option selected="selected" value="0">ფიზიკური პირი</option>
                        <option value="1">იურიდიული პირი</option>
                    </select>
                }
                else
                {
                    <select id="Type" name="Type" class="form-control">

                        <option value="0">ფიზიკური პირი</option>
                        <option selected="selected" value="1">იურიდიული პირი</option>
                    </select>
                }


                @Html.ValidationMessageFor(model => model.Type, "", new { @class = "text-danger" })
            </div>
        </div>



        <div class="form-group">
            @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.IdNumber, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.IdNumber, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.IdNumber, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">

            <div id="companyAddresses">
                <input type="button" class="btn btn-default" id="btnAddressAdd" value="დამატება" onclick="AddCompanyAddress()"/>
                @for (int i = 0; i < Model.CompanyAddressList.Count; i++)
                {
                    <div id="companyAddress[@i]" class="col-lg-12 companyAddress">
                       
                        <div class="col-xs-1">
                            <input type="hidden" name="CompanyAddressList[@i].Id" value="@Model.CompanyAddressList[i].Id" placeholder="id" />
                        </div>
                       
                            <div class="col-xs-1">
                                <input type="button" class="btn btn-danger btnAddressDelete" id="btnAddressDelete" name="@i" value="წაშლა" />
                            </div>
                            <div class="col-xs-10">
                                <input type="text" class="form-control text-box single-line" style="margin-left: -10px" name="CompanyAddressList[@i].Address" value="@Model.CompanyAddressList[i].Address" placeholder="მისამართი" />
                            </div>
                        
                    </div>
                }
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
